=== debian/changelog ===
rekonq (0.7.0-0ubuntu1) natty; urgency=low

  * New upstream final release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 05 Apr 2011 16:44:26 +0100

rekonq (0.6.95+git20110331-0ubuntu1) natty; urgency=low

  * New upstream release
  * Add kubuntu_07_initial_preference.diff set initial rekonq preference
    higher than konqueror

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 31 Mar 2011 17:09:35 +0100

rekonq (0.6.95-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/patches/kubuntu_06_restricted_install.diff: patch updated. 

 -- Tarun Kumar Mall <c2tarun@gmail.com>  Mon, 21 Mar 2011 13:32:25 +0000

rekonq (0.6.80-0ubuntu1) natty; urgency=low

  * New upstream alpha release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Feb 2011 12:07:41 +0000

rekonq (0.6.1-0ubuntu3) natty; urgency=low

  * Add kget as a suggests of rekonq. (It will show up as an addon in the
    Ubuntu and Muon Software Centers)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 23 Dec 2010 00:05:51 -0500

rekonq (0.6.1-0ubuntu2) natty; urgency=low

  * Rebuild against kdelibs5-dev 4:4.5.2a-0ubuntu2 for libkutils4 transition

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 22 Oct 2010 06:52:13 +0200
