=== debian/control ===
Source: rekonq
Section: web
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Felix Geyer <debfx-pkg@fobos.de>
Build-Depends: debhelper (>= 7.3.16~),
               pkg-kde-tools (>= 0.5.0~),
               cmake,
               kdelibs5-dev (>= 4:4.6.0)
Standards-Version: 3.9.1
Homepage: http://rekonq.kde.org/
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/rekonq/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-kde/kde-extras/rekonq/trunk/

Package: rekonq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdebase-bin
Provides: www-browser
Suggests: kget
Description: KDE web browser based on Webkit
 rekonq is a web browser based on WebKit and the KDE technologies.
 Its aim is to integrate nicely in the KDE desktop while providing
 a lightweight experience.
 .
 Non-exhaustive list of features :
  - shares bookmarks and network settings with konqueror
  - uses the kwallet password manager
  - integrates with the kget download manager
  - anonymous browsing mode

Package: rekonq-dbg                    
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, rekonq (= ${binary:Version})
Recommends: kdelibs5-dbg
Description: debugging symbols for rekonq
 This package contains the debugging symbols associated with rekonq.
 They will automatically be used by gdb for debugging rekonq-related
 issues.
