=== debian/rules ===
#!/usr/bin/make -f

export KUBUNTU_DESKTOP_POT=extragear-network_rekonq

LDFLAGS += -Wl,--as-needed

%:
	dh --parallel --with kde $@

override_dh_strip:
	dh_strip --dbg-package=rekonq-dbg

override_dh_auto_test:
	# disable tests as they require a running X server

fetch_translations:
	mkdir -p po
	cd po; svn export svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/subdirs
	cd po; for asdf in `cat subdirs`; do mkdir -p $${asdf}; done
	cd po; for asdf in `cat subdirs`; do echo $${asdf}; cd $${asdf}; svn export svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/$${asdf}/messages/extragear-network/rekonq.po; cd ..; done
	cd po; rm subdirs; rmdir --ignore-fail-on-non-empty *
