=== debian/changelog ===
rekonq (0.7.90-0ubuntu1) oneiric; urgency=low

  * New upstream beta release (LP: #861631)
  * Dropped fix_history_ordering.diff
  * Refreshed dont_set_app_as_parent.diff
  * Updated the copyright

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Mon, 19 Sep 2011 11:36:20 +0200

rekonq (0.7.0-2) UNRELEASED; urgency=low

  [ José Manuel Santamaría Lema ]
  * Add myself to Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 28 May 2011 01:56:24 +0200

rekonq (0.7.0-1) unstable; urgency=low

  * New upstream release. (Closes: #618906)

  [ Felix Geyer ]
  * Point Vcs fields to the git repository.
  * Add build dependency on libqtwebkit-dev. (Closes: #611270)
  * Drop build dependency on pkg-config and libgtk2.0-dev.
  * Set minimum version of kdelibs5-dev to 4.5.0.
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Switch to debhelper compat level 8.
  * Set homepage to http://rekonq.kde.org/.
  * Add kget as a suggests of rekonq.
  * Drop CVE-2010-2536_fix_xss_vulnerabilities.diff, fixed upstream.
  * Add DM-Upload-Allowed: yes.

  [ José Manuel Santamaría Lema ]
  * Add libqtwebkit4-dbg to Recommends.
  * Add dont_set_app_as_parent.diff; fixes a crash on exit.
  * Add fix_history_ordering.diff in order to make history browsing work
    properly.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sat, 28 May 2011 00:33:36 +0200
