=== debian/changelog ===
rekonq (0.8.0-1) experimental; urgency=low

  * New upstream release (Closes: #647903)

  [ José Manuel Santamaría Lema ]
  * Add myself to Uploaders.
  * Bump kdelibs5-dev build depend to 4:4.7.
  * Remove patches:
    - dont_set_app_as_parent.diff, applied upstream.
    - fix_history_ordering.diff, applied upstream.
  * rekonq binary package depends on kde-baseapps-bin instead of kdebase-bin.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sat, 03 Dec 2011 10:44:45 -0300
