=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,8 @@
 SET( rekonq_KDEINIT_SRCS
     application.cpp
     clicktoflash.cpp
+    downloaditem.cpp
+    downloadmanager.cpp
     filterurljob.cpp
     findbar.cpp
     iconmanager.cpp
@@ -17,11 +19,12 @@
     messagebar.cpp
     networkaccessmanager.cpp
     newtabpage.cpp
-    notificationbar.cpp
     paneltreeview.cpp
     previewselectorbar.cpp
     protocolhandler.cpp
     sessionmanager.cpp
+    sslinfodialog.cpp
+    tabpreviewpopup.cpp
     tabbar.cpp
     tabhighlighteffect.cpp
     urlfilterproxymodel.cpp
@@ -43,7 +46,6 @@
     history/historypanel.cpp
     #----------------------------------------
     settings/settingsdialog.cpp
-    settings/adblockwidget.cpp
     settings/appearancewidget.cpp
     settings/generalwidget.cpp
     settings/tabswidget.cpp
@@ -64,6 +66,7 @@
     adblock/adblockrulefallbackimpl.cpp
     adblock/adblockrulenullimpl.cpp
     adblock/adblockruletextmatchimpl.cpp
+    adblock/adblockwidget.cpp
     #----------------------------------------
     urlbar/stackedurlbar.cpp
     urlbar/urlbar.cpp
@@ -71,8 +74,10 @@
     urlbar/urlresolver.cpp
     urlbar/listitem.cpp
     urlbar/rsswidget.cpp
+    urlbar/sslwidget.cpp
     urlbar/bookmarkwidget.cpp
     urlbar/webshortcutwidget.cpp
+    urlbar/favoritewidget.cpp
     #----------------------------------------
     analyzer/analyzerpanel.cpp
     analyzer/networkanalyzer.cpp
@@ -94,8 +99,9 @@
     settings/settings_tabs.ui
     settings/settings_appearance.ui
     settings/settings_webkit.ui
-    settings/settings_adblock.ui
+    adblock/settings_adblock.ui
     cleardata.ui
+    sslinfo.ui
     useragent/useragentsettings.ui
  )
