=== debian/changelog ===
rekonq (0.8.1-1) experimental; urgency=low

  * New upstream release.

  [ Felix Geyer ]
  * Update copyright file.
  * Enable hardening build flags.
    - Switch to debhelper compat level v9.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 27 Dec 2011 01:26:30 +0100
