=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Felix Geyer <debfx-pkg@fobos.de>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 8.9.0~),
                pkg-kde-tools (>= 0.5.0~),
                cmake,
                kdelibs5-dev (>= 4:4.7),
