## rekonq 0.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Informations to update before to release this package.
 
 # rekonq info
-SET(REKONQ_VERSION "0.8.1" )
+SET(REKONQ_VERSION "0.9.0" )
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h )
 
@@ -21,7 +21,17 @@
 # ==================================================================================
 
 
-FIND_PACKAGE(Qt4 4.7.0 COMPONENTS QtCore QtGui QtNetwork QtWebKit REQUIRED)
+FIND_PACKAGE(Qt4 4.7.0 COMPONENTS QtCore QtGui QtNetwork REQUIRED)
+
+# Ensure we have QtWebKit >= 2.2.0
+FIND_PACKAGE(PkgConfig REQUIRED)
+PKG_CHECK_MODULES(PC_QTWEBKIT REQUIRED QtWebKit>=4.8.0)
+IF(NOT PC_QTWEBKIT_FOUND)
+  MESSAGE(FATAL_ERROR "QtWebkit 2.2.0 is required for this version of Rekonq")
+ELSE()
+  MESSAGE(STATUS "Found QtWebKit ${PC_QTWEBKIT_VERSION}")
+ENDIF()
+
 FIND_PACKAGE(KDE4 4.6.90 REQUIRED)
 
 INCLUDE(MacroOptionalFindPackage)
@@ -100,6 +110,7 @@
 
     ADD_SUBDIRECTORY( src )
     ADD_SUBDIRECTORY( icons )
+    ADD_SUBDIRECTORY( kwebapp )
 
 ENDIF(REKONQ_CAN_BE_COMPILED)
 
@@ -108,7 +119,7 @@
 # doc & translations
 set_property(GLOBAL PROPERTY ALLOW_DUPLICATE_CUSTOM_TARGETS 1)
 
-# Do not remove or modify these.  
+# Do not remove or modify these.
 # The release script substitutes in for these comments with appropriate doc and translation directories.
 
 include(MacroOptionalAddSubdirectory)
