## rekonq 0.9.0-1

=== debian/changelog ===
rekonq (0.9.0-1-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * Bump debhelper build depend to 9.
  * Build depend on pkg-config.
  * Fix watch file.
  * Bump Standards-Version to 3.9.3, no changes needed.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 20 Mar 2012 23:06:33 +0100
