=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Felix Geyer <debfx-pkg@fobos.de>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: debhelper (>= 8.9.0~),
+Build-Depends: debhelper (>= 9),
                pkg-kde-tools (>= 0.5.0~),
                cmake,
                kdelibs5-dev (>= 4:4.7),
-               libqtwebkit-dev
-Standards-Version: 3.9.2
+               libqtwebkit-dev,
+               pkg-config
+Standards-Version: 3.9.3
 Homepage: http://rekonq.kde.org/
 DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/rekonq.git
