=== debian/changelog ===
rekonq (0.9.1-0ubuntu2) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:32:11 +0100

rekonq (0.9.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 10 Apr 2012 14:43:44 +0200

rekonq (0.9.0-1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 12 Mar 2012 19:57:30 +0100

rekonq (0.8.90-0ubuntu1) precise; urgency=low

  * New upstream release candidate 

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 01 Mar 2012 21:47:33 +0100

rekonq (0.8.71-0ubuntu1) precise; urgency=low

  * Merge with debian, remaining changes:
    - keep kubuntu patches
  * New upstream beta release
    - refresh kubuntu_default_homepages.diff and 
      kubuntu_restricted_install.diff
  * Bump minimum debhelper version to 9 to fix lintian warning
  * Add pkg-config to build-depends

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 11 Feb 2012 19:44:49 +0100

rekonq (0.8.0-1ubuntu1) precise; urgency=low

  * Merge with Debian
   - Add back missing patches
    - kubuntu_default_homepages.diff
    - kubuntu_initial_preference.diff
    - kubuntu_no_default_bookmarks.diff
    - kubuntu_restricted_install.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 08 Dec 2011 10:44:45 +0000

rekonq (0.8.0-0ubuntu2) precise; urgency=low

  * Remove auto-generated patch that got included by accident 

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 24 Oct 2011 18:02:15 +0200

rekonq (0.8.0-0ubuntu1) precise; urgency=low

  * New upstream release
    - copyright was standardizized

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Sat, 15 Oct 2011 12:33:12 +0200
