=== debian/watch ===
version=3
http://sf.net/rekonq/rekonq-([\d.]+)\.tar\.(?:bz2|gz)
