=== src/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
     downloadmanager.cpp
     filterurljob.cpp
     findbar.cpp
+    icondownloader.cpp
     iconmanager.cpp
     mainview.cpp
     mainwindow.cpp
@@ -22,6 +23,7 @@
     paneltreeview.cpp
     previewselectorbar.cpp
     protocolhandler.cpp
+    rekonqmenu.cpp
     sessionmanager.cpp
     sslinfodialog.cpp
     tabpreviewpopup.cpp
@@ -52,7 +54,7 @@
     settings/webkitwidget.cpp
     settings/networkwidget.cpp
     #----------------------------------------
-    bookmarks/bookmarkprovider.cpp
+    bookmarks/bookmarkmanager.cpp
     bookmarks/bookmarkspanel.cpp
     bookmarks/bookmarkstreemodel.cpp
     bookmarks/bookmarkscontextmenu.cpp
@@ -90,7 +92,18 @@
     opensearch/suggestionparser.cpp
     #----------------------------------------
     useragent/useragentinfo.cpp
+    useragent/useragentmanager.cpp
     useragent/useragentwidget.cpp
+    #----------------------------------------
+    sync/ftpsynchandler.cpp
+    sync/syncassistant.cpp
+    sync/synchandler.cpp
+    sync/syncmanager.cpp
+    #
+    sync/synccheckwidget.cpp
+    sync/syncdatawidget.cpp
+    sync/synchosttypewidget.cpp
+    sync/syncftpsettingswidget.cpp
 )
 
 
@@ -102,7 +115,13 @@
     adblock/settings_adblock.ui
     cleardata.ui
     sslinfo.ui
+    webappcreation.ui
     useragent/useragentsettings.ui
+    # ----------------------------------------
+    sync/sync_check.ui
+    sync/sync_data.ui
+    sync/sync_ftp_settings.ui
+    sync/sync_host_type.ui
  )
 
 KDE4_ADD_KCFG_FILES( rekonq_KDEINIT_SRCS rekonq.kcfgc )
@@ -116,8 +135,8 @@
                         ${CMAKE_CURRENT_SOURCE_DIR}/bookmarks
                         ${CMAKE_CURRENT_SOURCE_DIR}/history
                         ${CMAKE_CURRENT_SOURCE_DIR}/opensearch
-                        ${CMAKE_CURRENT_SOURCE_DIR}/rekonqpage
                         ${CMAKE_CURRENT_SOURCE_DIR}/settings
+                        ${CMAKE_CURRENT_SOURCE_DIR}/sync
                         ${CMAKE_CURRENT_SOURCE_DIR}/urlbar
                         ${CMAKE_CURRENT_SOURCE_DIR}/useragent
                         ${CMAKE_CURRENT_BINARY_DIR}
