=== src/data/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,6 @@
 INSTALL(
     FILES
     defaultbookmarks.xbel
-    default_rekonq.css
     DESTINATION ${DATA_INSTALL_DIR}/rekonq
 )
