=== debian/changelog ===
rekonq (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Bump libqtwebkit-dev build dependency to 2.2.0.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 19 May 2012 16:14:21 +0200
