=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: rekonq
 Section: web
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Felix Geyer <debfx-pkg@fobos.de>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 9),
                pkg-kde-tools (>= 0.5.0~),
                cmake,
                kdelibs5-dev (>= 4:4.7),
-               libqtwebkit-dev,
+               libqtwebkit-dev (>= 2.2.0),
                pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://rekonq.kde.org/
 DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/rekonq.git
